Subject: [PATCH 1/2] iommu/msm: Claim bus ops on probe

From: [email-masked] (Joerg Roedel)
Date: Wed, 17 Jan 2018 15:27:20 +0100

On Wed, Jan 17, 2018 at 02:05:21PM +0000, Robin Murphy wrote:
> The IOMMU_OF_DECLARE() in ipmmu-vmsa.c added in 4.15 is missed by the
> prototype change in (4.14-based) v1 2/2 - by applying v2 2/3 on top of the
> two v1 patches you will end up with an extra NULL argument there which will
> then fail to compile. v2 3/3 supersedes v1 2/2 by removing that one as well.
> This is entirely my fault for hacking out some quick patches on top of
> unrelated development work instead of creating a fresh branch...

Okay, I see. So I removed the two patches from arm/msm and the one patch
from arm/renesas and applied all 3 patches from v2 to the core branch
instead.

Thanks,

	Joerg